1diff -c ../fkiss-0.33/Makefile.in ./Makefile.in
2*** ../fkiss-0.33/Makefile.in	Mon Nov 12 17:29:39 2001
3--- ./Makefile.in	Wed Nov 28 13:05:42 2001
4***************
5*** 107,112 ****
6--- 107,116 ----
7
8  TAR = gtar
9  GZIP_ENV = --best
10+ DEP_FILES =  .deps/bg.P .deps/codeconv.P .deps/color.P .deps/comment.P \
11+ .deps/cursor.P .deps/dir.P .deps/fkiss.P .deps/jiscode.P \
12+ .deps/kisscnf.P .deps/kisseve.P .deps/menu.P .deps/message.P \
13+ .deps/selcnf.P .deps/sound.P .deps/sub.P .deps/timer.P .deps/work.P
14  SOURCES = $(fkiss_SOURCES)
15  OBJECTS = $(fkiss_OBJECTS)
16
17***************
18*** 114,122 ****
19  .SUFFIXES:
20  .SUFFIXES: .S .c .o .s
21  $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
22! 	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps Makefile
23
24! Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
25  	cd $(top_builddir) \
26  	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status
27
28--- 118,126 ----
29  .SUFFIXES:
30  .SUFFIXES: .S .c .o .s
31  $(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4)
32! 	cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile
33
34! Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
35  	cd $(top_builddir) \
36  	  && CONFIG_FILES=$@ CONFIG_HEADERS= $(SHELL) ./config.status
37
38***************
39*** 181,189 ****
40  	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed 's/$(EXEEXT)$$//'|sed '$(transform)'|sed 's/$$/$(EXEEXT)/'`; \
41  	done
42
43- .c.o:
44- 	$(COMPILE) -c $<
45-
46  .s.o:
47  	$(COMPILE) -c $<
48
49--- 185,190 ----
50***************
51*** 271,276 ****
52--- 272,282 ----
53  	-rm -rf $(distdir)
54  	mkdir $(distdir)
55  	-chmod 777 $(distdir)
56+ 	here=`cd $(top_builddir) && pwd`; \
57+ 	top_distdir=`cd $(distdir) && pwd`; \
58+ 	distdir=`cd $(distdir) && pwd`; \
59+ 	cd $(top_srcdir) \
60+ 	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu Makefile
61  	@for file in $(DISTFILES); do \
62  	  d=$(srcdir); \
63  	  if test -d $$d/$$file; then \
64***************
65*** 281,286 ****
66--- 287,324 ----
67  	    || cp -p $$d/$$file $(distdir)/$$file || :; \
68  	  fi; \
69  	done
70+
71+ DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)
72+
73+ -include $(DEP_FILES)
74+
75+ mostlyclean-depend:
76+
77+ clean-depend:
78+
79+ distclean-depend:
80+ 	-rm -rf .deps
81+
82+ maintainer-clean-depend:
83+
84+ %.o: %.c
85+ 	@echo '$(COMPILE) -c $<'; \
86+ 	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
87+ 	@-cp .deps/$(*F).pp .deps/$(*F).P; \
88+ 	tr ' ' '\012' < .deps/$(*F).pp \
89+ 	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
90+ 	    >> .deps/$(*F).P; \
91+ 	rm .deps/$(*F).pp
92+
93+ %.lo: %.c
94+ 	@echo '$(LTCOMPILE) -c $<'; \
95+ 	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
96+ 	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
97+ 	  < .deps/$(*F).pp > .deps/$(*F).P; \
98+ 	tr ' ' '\012' < .deps/$(*F).pp \
99+ 	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
100+ 	    >> .deps/$(*F).P; \
101+ 	rm -f .deps/$(*F).pp
102  info-am:
103  info: info-am
104  dvi-am:
105***************
106*** 321,345 ****
107
108  maintainer-clean-generic:
109  mostlyclean-am:  mostlyclean-hdr mostlyclean-binPROGRAMS \
110! 		mostlyclean-compile mostlyclean-tags \
111  		mostlyclean-generic
112
113  mostlyclean: mostlyclean-am
114
115  clean-am:  clean-hdr clean-binPROGRAMS clean-compile clean-tags \
116! 		clean-generic mostlyclean-am
117
118  clean: clean-am
119
120  distclean-am:  distclean-hdr distclean-binPROGRAMS distclean-compile \
121! 		distclean-tags distclean-generic clean-am
122
123  distclean: distclean-am
124  	-rm -f config.status
125
126  maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-binPROGRAMS \
127  		maintainer-clean-compile maintainer-clean-tags \
128! 		maintainer-clean-generic distclean-am
129  	@echo "This command is intended for maintainers to use;"
130  	@echo "it deletes files that may require special tools to rebuild."
131
132--- 359,385 ----
133
134  maintainer-clean-generic:
135  mostlyclean-am:  mostlyclean-hdr mostlyclean-binPROGRAMS \
136! 		mostlyclean-compile mostlyclean-tags mostlyclean-depend \
137  		mostlyclean-generic
138
139  mostlyclean: mostlyclean-am
140
141  clean-am:  clean-hdr clean-binPROGRAMS clean-compile clean-tags \
142! 		clean-depend clean-generic mostlyclean-am
143
144  clean: clean-am
145
146  distclean-am:  distclean-hdr distclean-binPROGRAMS distclean-compile \
147! 		distclean-tags distclean-depend distclean-generic \
148! 		clean-am
149
150  distclean: distclean-am
151  	-rm -f config.status
152
153  maintainer-clean-am:  maintainer-clean-hdr maintainer-clean-binPROGRAMS \
154  		maintainer-clean-compile maintainer-clean-tags \
155! 		maintainer-clean-depend maintainer-clean-generic \
156! 		distclean-am
157  	@echo "This command is intended for maintainers to use;"
158  	@echo "it deletes files that may require special tools to rebuild."
159
160***************
161*** 351,360 ****
162  maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
163  mostlyclean-compile distclean-compile clean-compile \
164  maintainer-clean-compile tags mostlyclean-tags distclean-tags \
165! clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
166! check-am installcheck-am installcheck all-recursive-am install-exec-am \
167! install-exec install-data-am install-data install-am install \
168! uninstall-am uninstall all-redirect all-am all installdirs \
169  mostlyclean-generic distclean-generic clean-generic \
170  maintainer-clean-generic clean mostlyclean distclean maintainer-clean
171
172--- 391,401 ----
173  maintainer-clean-binPROGRAMS uninstall-binPROGRAMS install-binPROGRAMS \
174  mostlyclean-compile distclean-compile clean-compile \
175  maintainer-clean-compile tags mostlyclean-tags distclean-tags \
176! clean-tags maintainer-clean-tags distdir mostlyclean-depend \
177! distclean-depend clean-depend maintainer-clean-depend info-am info \
178! dvi-am dvi check check-am installcheck-am installcheck all-recursive-am \
179! install-exec-am install-exec install-data-am install-data install-am \
180! install uninstall-am uninstall all-redirect all-am all installdirs \
181  mostlyclean-generic distclean-generic clean-generic \
182  maintainer-clean-generic clean mostlyclean distclean maintainer-clean
183
184diff -c ../fkiss-0.33/configure ./configure
185*** ../fkiss-0.33/configure	Mon Nov 12 17:57:38 2001
186--- ./configure	Wed Nov 28 13:05:46 2001
187***************
188*** 693,699 ****
189
190  PACKAGE=fkiss
191
192! VERSION=0.33
193
194  if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
195    { echo "configure: error: source directory already configured; run "make distclean" there first" 1>&2; exit 1; }
196--- 693,699 ----
197
198  PACKAGE=fkiss
199
200! VERSION=0.33a
201
202  if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
203    { echo "configure: error: source directory already configured; run "make distclean" there first" 1>&2; exit 1; }
204diff -c ../fkiss-0.33/configure.in ./configure.in
205*** ../fkiss-0.33/configure.in	Mon Nov 12 16:47:39 2001
206--- ./configure.in	Wed Nov 28 12:47:49 2001
207***************
208*** 1,6 ****
209  dnl Process this file with autoconf to produce a configure script.
210  AC_INIT(fkiss.c)
211! AM_INIT_AUTOMAKE(fkiss,0.33,notdef)
212  AM_CONFIG_HEADER(config.h)
213
214  dnl Checks for programs.
215--- 1,6 ----
216  dnl Process this file with autoconf to produce a configure script.
217  AC_INIT(fkiss.c)
218! AM_INIT_AUTOMAKE(fkiss,0.33a,notdef)
219  AM_CONFIG_HEADER(config.h)
220
221  dnl Checks for programs.
222diff -c ../fkiss-0.33/sub.c ./sub.c
223*** ../fkiss-0.33/sub.c	Mon Nov 12 16:14:24 2001
224--- ./sub.c	Wed Nov 28 12:45:41 2001
225***************
226*** 30,35 ****
227--- 30,39 ----
228  #define PUBLIC_SUB_C
229  #include "extern.h"
230
231+ #ifdef HAVE_SIGNAL_H
232+ #include <signal.h>
233+ #endif
234+
235  int ks_system2(str)
236       char *str;
237  {
238***************
239*** 46,52 ****
240    /* clean up extracted files */
241    if (extract_dir != NULL) {
242      buf = ks_malloc(strlen(extract_dir) + 16);
243!     sprintf(buf, "rm -rf %s &", extract_dir);
244      ks_system2(buf);
245      free(buf);
246    }
247--- 50,56 ----
248    /* clean up extracted files */
249    if (extract_dir != NULL) {
250      buf = ks_malloc(strlen(extract_dir) + 16);
251!     sprintf(buf, "rm -rf %s", extract_dir);
252      ks_system2(buf);
253      free(buf);
254    }
255***************
256*** 54,61 ****
257      XCloseDisplay(dsp);
258
259    /* kill outstanding subprocesses ie: external audio players */
260!   signal(15, NULL);
261!   killpg(0, 15);
262
263    exit(code);
264  }
265--- 58,65 ----
266      XCloseDisplay(dsp);
267
268    /* kill outstanding subprocesses ie: external audio players */
269!   signal(SIGTERM, SIG_IGN);
270!   killpg(0, SIGTERM);
271
272    exit(code);
273  }
274diff -c ../fkiss-0.33/version.h ./version.h
275*** ../fkiss-0.33/version.h	Mon Nov 12 16:16:08 2001
276--- ./version.h	Wed Nov 28 12:52:26 2001
277***************
278*** 17,22 ****
279   * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
280   */
281
282! #define FKISS_VERSION "0.33 Haruka"
283
284  /* End of file */
285--- 17,22 ----
286   * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
287   */
288
289! #define FKISS_VERSION "0.33a Haruka"
290
291  /* End of file */
292